<?php 
//any time you are working with $_POST or $_GET 
//it must be done above any rendered HTML!
include('parse.php');

 ?>
<!DOCTYPE html>
<html>
<head>
	<title>I Know Forms</title>
<style type="text/css">
/* Elegant Aero */
.elegant-aero {
    margin-left:auto;
    margin-right:auto;

    max-width: 500px;
    background: #D2E9FF;
    padding: 20px 20px 20px 20px;
    font: 12px Arial, Helvetica, sans-serif;
    color: #666;
}
.elegant-aero h1 {
    font: 24px "Trebuchet MS", Arial, Helvetica, sans-serif;
    padding: 10px 10px 10px 20px;
    display: block;
    background: #C0E1FF;
    border-bottom: 1px solid #B8DDFF;
    margin: -20px -20px 15px;
}
.elegant-aero h1>span {
    display: block;
    font-size: 11px;
}

.elegant-aero label>span {
    float: left;
    margin-top: 10px;
    color: #5E5E5E;
}
.elegant-aero label {
    display: block;
    margin: 0px 0px 5px;
}
.elegant-aero label>span {
    float: left;
    width: 20%;
    text-align: right;
    padding-right: 15px;
    margin-top: 10px;
    font-weight: bold;
}
.elegant-aero input[type="text"], .elegant-aero input[type="email"], .elegant-aero textarea, .elegant-aero select {
    color: #888;
    width: 70%;
    padding: 0px 0px 0px 5px;
    border: 1px solid #C5E2FF;
    background: #FBFBFB;
    outline: 0;
    -webkit-box-shadow:inset 0px 1px 6px #ECF3F5;
    box-shadow: inset 0px 1px 6px #ECF3F5;
    font: 200 12px/25px Arial, Helvetica, sans-serif;
    height: 30px;
    line-height:15px;
    margin: 2px 6px 16px 0px;
}
.elegant-aero textarea{
    height:100px;
    padding: 5px 0px 0px 5px;
    width: 70%;
}
.elegant-aero select {
    background: #fbfbfb url('down-arrow.png') no-repeat right;
    background: #fbfbfb url('down-arrow.png') no-repeat right;
   appearance:none;
    -webkit-appearance:none; 
   -moz-appearance: none;
    text-indent: 0.01px;
    text-overflow: '';
    width: 70%;
}
.elegant-aero .button{
    padding: 10px 30px 10px 30px;
    background: #66C1E4;
    border: none;
    color: #FFF;
    box-shadow: 1px 1px 1px #4C6E91;
    -webkit-box-shadow: 1px 1px 1px #4C6E91;
    -moz-box-shadow: 1px 1px 1px #4C6E91;
    text-shadow: 1px 1px 1px #5079A3;
    
}
.elegant-aero .button:hover{
    background: #3EB1DD;
}	

.elegant-aero input.error, .elegant-aero textarea.error, .elegant-aero select.error, span.error{
    background-color:#FAAC58;
    font-weight: bold;
    color: #444;
}

::-webkit-input-placeholder{
    color: #444;
    font-style: italic;
}

/*firefox 18*/
:-moz-placeholder{
    color: #444;
    font-style: italic; 
}

/*firefox 19+*/
::-moz-placeholder{
    color: #444;
    font-style: italic;
}

/*IE*/
:-ms-input-placeholder{
    color: #444;
    font-style: italic;
}
.cf:before,
.cf:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.cf:after {
    clear: both;
}


</style>
</head>
<body>
<!-- Remember, action tells the form where to send its data, method tells the form what type of data (get or post) to pass to the action 
In this case we are using the get method on purpose so that we can see the data being captured and passed into the address bar of your browser. In production we would change it to post.
-->
<?php if ($valid){
 //you have successfully sent an email. Show success message:
 ?> 
<p class="success" style="background-color: lightgreen;">
    Your message has been received. We will be contacting you shortly!
</p>    
<?php
}else{
    //message has not been sent... show form.
?>
<form action="#" method="post" id="signup" class="elegant-aero">
    <h1>Contact Form 
        <span>Please fill all the fields and select one of each item.</span>
        <span class="error"></span>
    </h1>
    <label>
        <span>Your Name :</span>
        <input id="name" type="text" name="name" placeholder="Your Full Name" value="<?php echo $name; ?>" />
    </label>
    <label>
        <span>Your Email :</span>
        <input id="email" type="email" name="email" placeholder="Valid Email Address" value="<?php echo $email; ?>" />
    </label>
    <label class="cf">
        <span>A set of Radio Buttons:</span>
        <!-- do a check function -->
        <span>radio 1<input type="radio" name="radio_selection" value="radio1" <?php if($radio_selection == 'radio1'){ echo 'checked';} ?> ></span>
        <span>radio 2<input type="radio" name="radio_selection" value="radio2" <?php if($radio_selection == 'radio2'){ echo 'checked';} ?> ></span>
        <span>radio 3<input type="radio" name="radio_selection" value="radio3" <?php if($radio_selection == 'radio3'){ echo 'checked';} ?> ></span>
        <!-- you can only choose one radio button -->
    </label>
    <hr>
    <label class="cf">
        <span>A set of Check Boxes:</span>
        <span>check 1<input type="checkbox" name="check_selection[]" value="check1" <?php if(strpos($check_selection_message, 'check1') > -1 ){ echo 'checked';} ?> ></span>
        <span>check 2<input type="checkbox" name="check_selection[]" value="check2" <?php if( strpos($check_selection_message, 'check2') > -1){ echo 'checked';} ?> ></span>
        <span>check 3<input type="checkbox" name="check_selection[]" value="check3" <?php if(strpos($check_selection_message, 'check3') > -1){ echo 'checked';} ?> ></span>
        <!-- you can choose multiple checkboxes... how do we require that at least one checkbox is selected, but not force which one? -->
    </label>
    <label>
        <span>Message :</span>
        <textarea id="message" name="message" placeholder="Your Message to Us"><?php echo $message; ?></textarea>
    </label> 
     <label>
        <span>Subject :</span>

        <select name="subject">
        <option value="">Please Choose</option>
        <option value="Job Inquiry" <?php if($subject == 'Job Inquiry'){ echo 'selected';} ?>>Job Inquiry</option>
        <option value="General Question" <?php if($subject == 'General Question'){ echo 'selected';} ?>>General Question</option>
        </select>
    </label>    
     <label>
        <span>&nbsp;</span> 
        <input type="submit" class="button" value="Send" /> <input type="hidden" name="did_submit" value="1">
    </label>    
</form>
<?php    
} ?>
<script type="text/javascript" src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script type="text/javascript">
    //please note that name attributes are necessary for capturing and passing data between pages
/* temp disable JS 

    $('[name="name"]').focus(); // forces focus on that field

    $('#name, #email, #message, [name="subject"]').on('blur', function(){
        $('#signup').trigger('submit');

    })


    $('#signup').on('submit', function(){
        //listens for on submit event ONLY
        var valid = true; 
        //we want to test to see if anything fails
        var errors = []; 
        //this array will hold any errors that are caught
        var name = $('#name');
        var email = $('#email');
        var message = $('#message');
        var subject = $('[name="subject"]');
        
        if(name.val().trim()  == ''){
            valid = false; //no name value
            errors.push('Please enter your name');
        }

        

        var isValidEmail = email[0].checkValidity(); //vanilla JS method
        //the [0] allows us to access the HTML element directly which allows us to use vanilla on it. It operates the same way the required attribute works
        if( !isValidEmail ){
            //checking to see if isValidEmail is false
            //think NOT a valid email
            valid = false;
            errors.push('Please enter a valid email.');
        }

        var radio = $('input[name="radio_selection"]:checked'); //will get the checked value if there is no checked radio button it will be empty.
        var radioValues =['radio1', 'radio2', 'radio3'];
        
        if(radioValues.indexOf(radio.val()) == -1){
            valid = false; //user must select one value
            errors.push('Please check a radio button');
        }

        var checkedBoxes = [];

        //getting the values of the checked boxes and pushing them into the array.

        $.each( $('input[name="check_selection[]"]:checked'), function(){
            checkedBoxes.push($(this).val());
        })

        if(checkedBoxes.length === 0){
            //checked no boxes
            valid = false;
            errors.push('Please select one checkbox');
        }

        

        if(message.val().trim() == ''){
            valid = false;
            errors.push('Please enter a message');
        }
 
        var subjectValues = ['Job Inquiry','General Question']; //check against known values
        if(subjectValues.indexOf(subject.val()) == -1){
            //the value has not been found
            valid = false;
            errors.push('Please select a subject');
        }

            $('span.error').html(errors.join('<br>'));
            return valid;   
    })


*/



</script>
</body>
</html>